%define debug_package %{nil}
Summary: Some screensavers for KDE 
Name:          kdescreensaver
Version:       3.2.1
Release:       3AX
Copyright:     GPL
URL: http://www.kde.org
Group:         desktop/kde
BuildRoot:     /var/tmp/kdescreensaver-3.2.1-root
Requires:    kdebase, asianux-artwork
Source:      kdescreensaver-3.2.1.tar.bz2
Source1:     KBlankscreen.desktop
Source2:     KRandom.desktop
Patch0:	     kdescreensaver-3.2.1.patch

%description
KDE Screensavers

%prep
%setup 
%patch0 -p1

%Build
export XSCREENSAVER=NONE

unset QTDIR && . /etc/profile.d/qt.sh
export QTLIB=$QTDIR/lib

suffix=""
if [ "%{_lib}" == "lib64" ]; then
    suffix="64"
fi

./configure --prefix=/usr --with-qt-libraries=$QTLIB --enable-libsuffix="$suffix"
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/applnk/System/ScreenSavers/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/applnk/System/ScreenSavers/
cat >$RPM_BUILD_ROOT/usr/share/applnk/System/ScreenSavers/.directory <<EOF
[Desktop Entry]
NoDisplay = true
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr

%changelog
* Wed Jun 22 2005 Hua Jie <jiehua@redflag-linux.com> 3.2.1-3AX
- add KBlankscreen and KRandom, these two screensavers are peovided by kdebase,
- so we need install kdebase first

* Fri Jun 17 2005 Hua Jie <jiehua@redflag-linux.com> 3.2.1-2AX
- remove the screensavers which need xscreensaver
